Download it now!
Bug 128077 - Always reproducible complete crash/lock of all LibreOffice windows ( steps in comment 10 )
Summary: Always reproducible complete crash/lock of all LibreOffice windows ( steps in...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.4 target:6.5....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GoalSeek
  Show dependency treegraph
 
Reported: 2019-10-10 14:10 UTC by OfficeUser
Modified: 2019-12-17 11:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (887.18 KB, video/mp4)
2019-12-03 12:34 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2019-10-10 14:10:12 UTC
1. Open Calc
2. Open the Goalseek
3. Press OK

Note that Calc is now locked by a window telling about undefined cell names.

4. Go to start menu and try to open a Writer session

Now the Calc windows becomes gray and stays frozen.

Note: There are many other ways to lock a LibreOffice window. You can achieve the same with the Solver etc...


Version: 6.3.2.2
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 8; BS: Linux 4.4; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 1 Roman Kuznetsov 2019-10-10 14:20:21 UTC
don't repro in

Версия: 6.4.0.0.alpha0+ (x86)
ID сборки: 489eef894e7034873ad262f9dfca554022db1b09
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: по умолчанию; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-10-01_23:43:38
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 2 raal 2019-10-10 15:38:23 UTC
Crash at my computer with Version: 6.4.0.0.alpha0+
Build ID: 52cda5c5ae426761ccbdb4f20419098eab195303
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
and X11(gen)

regression in 6.3

steps:
open new writer
open calc
goal seek, ok
click in writer -> crash
Comment 3 Oliver Brinzing 2019-10-10 17:31:09 UTC
- open new writer
- open calc
- goal seek, ok
- click in writer
- switch back to calc
-> dialog disappeared, calc freezes

reproducible with:

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

but *not* reproducible with:

Version: 6.2.7.1 (x64)
Build-ID: 23edc44b61b830b7d749943e020e96f5a7df63bf
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 4 Oliver Brinzing 2019-10-12 07:44:31 UTC
seems to have started with:

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b

commit	bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b	[log]
author	Noel Grandin <noel.grandin@collabora.co.uk>
Fri Jan 25 09:09:36 2019 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>
Sat Jan 26 07:41:06 2019 +0100
tree	5d246936936143e36ba76542f5ba7b5954405ea5
parent	8968e648113820308f5201da723d52d3fbbb09af [diff]

add a Dialog::runAsync for the non-controller case

.. and use it to make the solver warning dialogs async

Change-Id: I3589a1d3ae58190bf545bac1e2a95f81a114d44f
Reviewed-on: https://gerrit.libreoffice.org/66896
Tested-by: Jenkins
Reviewed-by: Noel Grandin <noel.grandin@collabora.co.uk>

$ git bisect good
0a99b8d011ea1bdbb7c4fed6f39f3159018b0987 is the first bad commit
commit 0a99b8d011ea1bdbb7c4fed6f39f3159018b0987
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Jan 25 23:07:47 2019 -0800
    source sha:bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b
    source sha:bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b

:040000 040000 1f1b3e785548d9b47d872956f992aa26b3d54baf 811e44ddef9dff326b3c95003d4e735836537299 M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.3
$ git bisect log
# bad: [18f926e8e18b3d855c2f79ef279febbeb846b8cd] source sha:13152ad88b24cadc836a829b4424a72a152ca9b1
# good: [ea94942caaf195b8d8b2d5c2abb523359ab390e7] source sha:a20a2d7e0d28658f2d9089da076961a599833a28
git bisect start 'master' 'oldest'
# bad: [3aea60569b9190400409ebb93f0a5d323b6fc5d4] source sha:47ce4b87d8a13fc340794ffd9a10d5bd6a15e644
git bisect bad 3aea60569b9190400409ebb93f0a5d323b6fc5d4
# good: [ba75e42b62332e004ca9e45a4a214ecf818c1fe8] source sha:578ec42e0d575f8700fe3d6c060da7b8f08142e3
git bisect good ba75e42b62332e004ca9e45a4a214ecf818c1fe8
# bad: [13438b23c0e08a6cc38bba895ea7fba977620d04] source sha:42da02bd5aa50c349ab7a2e75d054fd4af55f6a2
git bisect bad 13438b23c0e08a6cc38bba895ea7fba977620d04
# good: [4767b74fdf6a4f9d38a1119f6b1f4a83e68114bf] source sha:09513e0d5bfa00145374d195d605c33a8bc7113b
git bisect good 4767b74fdf6a4f9d38a1119f6b1f4a83e68114bf
# good: [e59f91354df5c610a5a910b0e89806e47371d1a0] source sha:a71a33e2f03fd2a56894dc8bce0250623c7a05b4
git bisect good e59f91354df5c610a5a910b0e89806e47371d1a0
# bad: [feea4f7651b478adf789fa7e980df086561af24c] source sha:ade7cbbb01c72828e1555c826359beaeda64e69a
git bisect bad feea4f7651b478adf789fa7e980df086561af24c
# good: [2b41f73febbd6b8deb2e5f7ccdb546ea9602cc0d] source sha:b0b089e8f7a6df793761bdec6ee9d98b1bf12a5a
git bisect good 2b41f73febbd6b8deb2e5f7ccdb546ea9602cc0d
# bad: [cc56e5dd81390836a6a2ecbec60df82474213676] source sha:cb04f8bf4f46c573edcf7be5c33d5f06d89eaff4
git bisect bad cc56e5dd81390836a6a2ecbec60df82474213676
# bad: [2ce0dfe507b88ba6a316d35ce593955d08d4b83a] source sha:bfba88806164836789b923756d2c956c6b48d604
git bisect bad 2ce0dfe507b88ba6a316d35ce593955d08d4b83a
# good: [aebcfb427030782031983edf5d02bd20f0394fa3] source sha:59958cb5a5693b731b625c7eceb1f678b07cd337
git bisect good aebcfb427030782031983edf5d02bd20f0394fa3
# bad: [0a99b8d011ea1bdbb7c4fed6f39f3159018b0987] source sha:bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b
git bisect bad 0a99b8d011ea1bdbb7c4fed6f39f3159018b0987
# good: [5480c9af06c2e3b1e868ce5b1b578e1208ae3740] source sha:8968e648113820308f5201da723d52d3fbbb09af
git bisect good 5480c9af06c2e3b1e868ce5b1b578e1208ae3740
# first bad commit: [0a99b8d011ea1bdbb7c4fed6f39f3159018b0987] source sha:bf359d01ac8b1e0292e8a92c38e58c03e6c17d8b
Comment 5 Noel Grandin 2019-10-18 16:14:36 UTC
With current master I just get "undefined name for variable cell"
Comment 6 Oliver Brinzing 2019-10-19 07:31:04 UTC
(In reply to Noel Grandin from comment #5)
> With current master I just get "undefined name for variable cell"

yes, but you need then to switch to writer and back to calc
-> comment #3

still reproducible with:

Version: 6.4.0.0.alpha1+ (x64)
Build ID: deea9ba1d65fd96dd139934574c9ffb319dda709
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

but *not* reproducible with:

Version: 6.2.8.2 (x64)
Build-ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 7 Xisco Faulí 2019-10-24 08:49:29 UTC
The crash as such, can't be reproducible in

Versión: 6.3.3.1 (x86)
Id. de compilación: f41f4c7f9507aeca13cb9df51f34d80e8ba30a99
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

Calc doesn't freeze either, it's just the focus is grabbed and we can't interact with it anymore
Changing it to Linux only
Comment 8 Commit Notification 2019-10-24 08:50:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7364a206a67f73513590fbb55e9e1d630c97aab1

tdf#128077 crash with calc dialogs and multiple windows

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-10-24 10:11:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/ca477f5e0e3b8cd28f6beaf96a20e70064d73ea3

tdf#128077 crash with calc dialogs and multiple windows

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-10-25 17:36:11 UTC
Hi Noel,
Unfortunately, there is still a way to reproduce the crash

1 open new writer
2 open calc
3 goal seek - clicl OK -> 'undefined name for variable cell' error is displayed
4 click in writer
5 switch back to calc
6. Click OK in the 'undefined name for variable cell' error is displayed

-> CRASH

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: c0b8be4d7eb9fa1a0d8abfb1d27c71ac34bffd1b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 Xisco Faulí 2019-12-03 12:34:05 UTC
Created attachment 156267 [details]
screencast
Comment 12 Xisco Faulí 2019-12-10 15:51:29 UTC
@Caolán, I thought you could be interested in this issue... it has been partically fixed by Noel but it's still reproducible with steps from comment 10
Comment 13 Commit Notification 2019-12-13 16:52:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a54b3e8b8b7bf063117eaed19a590ce6c8a14e07

Resolves: tdf#128077 cancel goalseek subdialogs on forced removal

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Caolán McNamara 2019-12-14 19:36:53 UTC
Does that solve the problem ?
Comment 15 Oliver Brinzing 2019-12-15 07:54:48 UTC
> Resolves: tdf#128077 cancel goalseek subdialogs on forced removal 

now i can not reproduce a lock/crash with:

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 5bcdbf03012e9d2754c3eb166bd5a01201406d9b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 16 Commit Notification 2019-12-16 12:52:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ad0922143a2f8ae1ca8622580afd9c6c34f4173f

Resolves: tdf#128077 cancel goalseek subdialogs on forced removal

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Caolán McNamara 2019-12-16 13:44:03 UTC
fixed in master and 6-4, backport to 6-3 in gerrit
Comment 18 Xisco Faulí 2019-12-17 11:04:26 UTC
(In reply to Caolán McNamara from comment #17)
> fixed in master and 6-4, backport to 6-3 in gerrit

Setting the right status
Comment 19 Xisco Faulí 2019-12-17 11:07:14 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: f86824cca0c442d371379d2ea0bff2241f18ab3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 20 Commit Notification 2019-12-17 11:09:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8a7e25d1320f5ea25e74af440810e10f8c02f65a

Resolves: tdf#128077 cancel goalseek subdialogs on forced removal

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.